import java.io.File;
import java.net.URL;
import java.net.URLClassLoader;

import javax.swing.JOptionPane;

import com.dukascopy.api.IAccount;
import com.dukascopy.api.IBar;
import com.dukascopy.api.IContext;
import com.dukascopy.api.IMessage;
import com.dukascopy.api.IStrategy;
import com.dukascopy.api.ITick;
import com.dukascopy.api.Instrument;
import com.dukascopy.api.JFException;
import com.dukascopy.api.Period;
import com.dukascopy.api.RequiresFullAccess;

@RequiresFullAccess
public class LoadClass implements IStrategy {

	@Override
	public void onAccount(IAccount arg0) throws JFException {

	}

	@Override
	public void onBar(Instrument arg0, Period arg1, IBar arg2, IBar arg3)
			throws JFException {


	}

	@Override
	public void onMessage(IMessage arg0) throws JFException {


	}

	@Override
	public void onStart(IContext context) throws JFException {

		try{
			File file = new File("c:\\myclasses\\");

			// Convert File to a URL
			URL url = file.toURL();  
			URL[] urls = new URL[]{url};

			// Create a new class loader with the directory
			ClassLoader cl = new URLClassLoader(urls);

			// Load in the class; MyClass.class should be located in
			// the directory file:/c:/myclasses/test/loaded
			showMessage("before");
			Class cls = cl.loadClass("test.loaded.LoadedClass");
			showMessage("after");
		} catch (Exception e){
			e.printStackTrace(context.getConsole().getErr());
		}

	}

	@Override
	public void onStop() throws JFException {

	}

	@Override
	public void onTick(Instrument arg0, ITick arg1) throws JFException {

	}

	public void showMessage(String msg){
        JOptionPane.showMessageDialog(null, msg, null,
          JOptionPane.INFORMATION_MESSAGE);
       	
	}	
	
}
