package test;


import test.loaded.LoadedClassInterface;
import test.loaded.LoadedClass;

import java.io.File;
import java.lang.ClassNotFoundException;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLClassLoader;

public class TestLoadClass{

	public TestLoadClass(){
	}
	
	public static void main(String[] args){
		// Create a File object on the root of the directory containing the class file
		File file = new File("c:\\myclasses\\");
		
		try {
			// Convert File to a URL
			URL url = file.toURL();          // file:/c:/myclasses/
			URL[] urls = new URL[]{url};
			//URL[] urls = new URL[]{ new URL("jar:file://c:/myclasses/p.jar!/")};
		
			// Create a new class loader with the directory
			ClassLoader cl = new URLClassLoader(urls);
		
			// Load in the class; MyClass.class should be located in
			// the directory file:/c:/myclasses/com/mycompany
			Class cls = cl.loadClass("test.loaded.LoadedClass"); 
			LoadedClassInterface lci  = (LoadedClassInterface) cls.newInstance();
			lci.go();
		} catch (Exception e){
			e.printStackTrace();
		}
		/*} catch (MalformedURLException e) {
		} catch (ClassNotFoundException e) {
		} catch (InstantiationException e){
		} catch (IllegalAccessException e){
		}*/
		

		
	}
}